﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Syncer
{
	public class ProgressUpdateEventArgs : EventArgs
	{
		public ProgressUpdateEventArgs(decimal totalPercentageComplete, string currentOperation, decimal currentOperationProgress)
		{
			TotalPercentageComplete = totalPercentageComplete;
			CurrentOperation = currentOperation;
			CurrentOperationProgress = currentOperationProgress;
		}

		public string CurrentOperation
		{ get; private set; }

		public decimal CurrentOperationProgress
		{ get; private set; }

		public decimal TotalPercentageComplete
		{ get; private set; }
	}
}
